Skip to content
On this page

Create URA Tin Verification Request ​

Accepts requests for verifying URA Tin details.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/tinid-test/api/tins?v=1.0
Productionhttps://api.streamline.laboremus.ug/tin/api/tins?v=1.0

Sandbox testing

See the Sandbox Context page for TIN formats and test numbers.

Request ​

Request Type : POST ​

Authorization ​

All requests must be authenticated using OAuth 2.0 Client Credentials. Follow the steps in the Authentication section to obtain an access token.

Request Body ​

Content type

application/json

NameTypeRequiredDescription
tinstring(10)yesTin number to be verified.

Example Request Body ​

json
{
	"tin": "string"
}
{
	"tin": "string"
}

Response ​

Response Body ​

Content type

application/json

NameTypeDescription
idstringUnique Id of the request
requestUristring or nullThe Url to find the request
statusstring (Enum: Pending, Completed, Failed)The stage of processing at which the request is

Example Response Body ​

json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "requestUri": "string",
  "status": "Pending"
}

Error Response ​

400 Bad Request

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors ​

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Unauthorized

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Forbidden

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Not Found

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 Server Error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right